org.apache.ignite.cache.store.cassandra.session.pool

## Class SessionPool

- java.lang.Object
- - org.apache.ignite.cache.store.cassandra.session.pool.SessionPool

-     public class SessionPool
      extends Object

  Cassandra driver sessions pool.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionPool()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.datastax.driver.core.Session` | `get(CassandraSessionImpl cassandraSes)` Extracts Cassandra driver session from pool.
    `static void` | `put(CassandraSessionImpl cassandraSes, com.datastax.driver.core.Session driverSes, long expirationTimeout)` Returns Cassandra driver session to sessions pool.
    `static void` | `release()` Releases all session from pool and closes all their connections to Cassandra database.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionPool

          public SessionPool()

  - ### Method Detail

    - #### put

          public static void put(CassandraSessionImpl cassandraSes,
                                 com.datastax.driver.core.Session driverSes,
                                 long expirationTimeout)

      Returns Cassandra driver session to sessions pool.
      Parameters:
        `cassandraSes` - Session wrapper.
        `driverSes` - Driver session.
        `expirationTimeout` - Expiration timeout.

    - #### get

          public static com.datastax.driver.core.Session get(CassandraSessionImpl cassandraSes)

      Extracts Cassandra driver session from pool.
      Parameters:
        `cassandraSes` - Session wrapper.
      Returns:
        Cassandra driver session.

    - #### release

          public static void release()

      Releases all session from pool and closes all their connections to Cassandra database.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022